---
sidebar_position: 1
---

# Tutorials ✅

Get step-by-step guides to using Very Good CLI.

## Flutter Starter App Template (Core)

- **[Core Template + Supabase][supabase_tutorial]**: Learn how to build a Flutter app with Supabase as the backend.
- **[Core Template + Stream][stream_tutorial]**: Learn how to build a location sharing chat app with Flutter and the Stream Chat SDK.

## Flutter Flame Game

- **[Flame Game Template][flame_game_tutorial]**: Learn how to generate a Flutter game, powered by the Flame Game Engine.

## Dart CLI Template

- **[Dart CLI Template][dart_cli_tutorial]**: Unlock the potential of Dart in the command line with the Dart CLI template.

## Plugin Template

- **[Plugin Template][plugin_tutorial]**: Learn how to generate a plugin that follows a federated architecture.

## Test Command

- **[Test Command][test_tutorial]**: Run your tests with performance optimizations and improvements to the developer experience.

[dart_cli_tutorial]: https://verygood.ventures/blog/generate-command-line-application-cli
[plugin_tutorial]: https://verygood.ventures/blog/generate-flutter-plugins-with-very-good-cli
[stream_tutorial]: https://verygood.ventures/blog/very-good-location-sharing-chat-app
[supabase_tutorial]: https://verygood.ventures/blog/flutter-app-very-good-cli-supabase
[test_tutorial]: https://verygood.ventures/blog/flutter-tests-very-good-cli
[flame_game_tutorial]: https://verygood.ventures/blog/generate-a-game-with-our-new-template
